extends Button

@onready var button = $"."
@onready var nick_input: TextEdit = $"../Nickname"

func _ready():
	nick_input.text = GameData.client_settings["nickname"]
	button.text = "Set"
	button.pressed.connect(self._button_pressed)

func _button_pressed():
	var nickname = nick_input.text
	print("Setting nickname to " + str(nickname))
	GameData.client_settings["nickname"] = nickname
	GameData.save_client_settings()
